<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}AStA Finanz{% endblock %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <!-- jQuery -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g==" crossorigin="anonymous"></script>
    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <!-- Sticky table headers -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/floatthead/2.2.5/jquery.floatThead.min.js" integrity="sha512-131fDtJKn0jUOqN1sfcHkBZHRmTCP0gmcpztVNuE3M8toiuIv8V9I+tpL/1t3GFDBcigLyB2hWJ3ZNjYwEO4bg==" crossorigin="anonymous"></script>
</head>
<body>
<nav>
    <div class="nav-wrapper black">
        <a href="/new" class="brand-logo" style="margin-left: 1em">AStA Finanz</a>
        <a href="#" data-target="sidenav" class="sidenav-trigger"><i class="material-icons">menu</i></a>
        <ul id="nav-mobile" class="right hide-on-med-and-down">
            {% if user.is_authenticated %}
                <li><a href="/new">Dashboard</a></li>
                <li><a href="/new/year">Jahresübersicht</a></li>
                {% if user.is_staff %}
                    <li><a href="/admin">Adminoberfläche</a></li>
                {% endif %}
                {% if user.is_superuser %}
                    <li><a href="{% url 'transponder' %}">Schließrechteverwaltung</a></li>
                    <li><a href="{% url 'sap_upload' %}">SAP Upload</a></li>
                {% endif %}
            {% endif %}
            {% if user.is_authenticated %}
                <li><a href="{% url 'oidc_logout' %}">Logout</a></li>
            {% endif %}
        </ul>
    </div>
</nav>
<ul class="sidenav" id="sidenav">
    {% if user.is_authenticated %}
        <li><a href="/new/year">Jahresübersicht</a></li>
        {% if user.is_staff %}
            <li><a href="/admin">Adminoberfläche</a></li>
        {% endif %}
        {% if user.is_superuser %}
            <li><a href="{% url 'transponder' %}">Schlüsselverwaltung</a></li>
            <li><a href="{% url 'sap_upload' %}">SAP Upload</a></li>
        {% endif %}
    {% endif %}
    {% if user.is_authenticated %}
        <li><a href="{% url 'oidc_logout' %}">Logout</a></li>
    {% endif %}
</ul>
<div class="container">
    {% block content %}
    {% endblock %}
</div>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        const elems = document.querySelectorAll('.sidenav');
        M.Sidenav.init(elems, {});
    });
</script>
</body>
</html>
